Subject: Re: Bridge City

From: [email-masked] (JThomp4432)
Date: 29 Mar 1997 16:00:44 GMT

I too, have had poor dealings with Bridge City. It finally got so bad that
I told them
to remove my name from their mailing list,after having been on their
"preferred"
customer list. Now I don't even use them any more because of my dislike
for the
company. I'll probably wind up selling all of them. If someone out there
wants them
let me know, I have a lot and there're the old style in real rosewood (
cocobolo ).
Now I use nothing but Starrett tools and have had real good dealings with
the local
suppliers.-Bob